Skip to content

Query Task API

API Overview

Used to query the current status and result of an image-to-depth generation task by task ID.

ProtocolEndpointMethodAuthRequest FormatResponse Format
HTTP/open-api/v1/depth/query-taskGETBearerapplication/jsonapplication/json

Request Headers

ParameterValueDescription
Content-Typeapplication/jsonData exchange format
AuthorizationBearerReplace {accessToken} with the accessToken obtained above

Request Parameters (HTTP GET)

ParameterTypeRequiredDescription
task_idstringYesTask ID returned by the create-task API result
text
https://api.hitem3d.ai/open-api/v1/depth/query-task?task_id=depth_20260312_8f92ab3e1cde

Response Body

ParameterFieldTypeDescription
code-intError code, see error code table
datatask_idstringTask ID
statestringProcessing status
• created: task created
• queueing: task queued
• processing: task in progress
• success: task completed
• failed: task failed
idstringGenerated artifact ID
urlstringGenerated depth map URL, valid for one hour
msg-stringDetailed error message
json
{
  "code": 200,
  "data": {
    "task_id": "depth_20260312_8f92ab3e1cde",
    "state": "success",
    "id": "depth_20260312_8f92ab3e1cde_0",
    "url": "https://example.com/depth/output/result.exr"
  },
  "msg": "success"
}

Error Codes

Error codes are returned in JSON structure, including code and msg.

json
{
  "code": 5001001,
  "data": {},
  "msg": "generate failed"
}
Error CodeError MessageError Description
5001001generate failedTimeout or model failed to parse the input image. Retry later; credits are refunded

Request Example (Shell)

shell
curl --location --request GET 'https://api.hitem3d.ai/open-api/v1/depth/query-task?task_id=depth_20260312_8f92ab3e1cde' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json'